Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dispatcher.mapper
Class ActionMapping

    java.lang.Object
      org.apache.struts2.dispatcher.mapper.ActionMapping

    public class ActionMapping

extends java.lang.Object

Simple class that holds the action mapping information used to invoke a Struts action. The name and namespace are required, but the params map is optional, and as such may be null. If a params map is supplied, it must be a mutable map, such as a HashMap.

Constructor Summary
`ActionMapping()` Constructs an ActionMapping
`ActionMapping(Result result)` Constructs an ActionMapping with a default result
`ActionMapping(java.lang.String name, java.lang.String namespace, java.lang.String method, java.util.Map<java.lang.String,java.lang.Object> params)` Constructs an ActionMapping with its values

Method Summary
`java.lang.String` | `getExtension()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNamespace()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getParams()`
`Result` | `getResult()`
`void` | `setExtension(java.lang.String extension)`
`void` | `setMethod(java.lang.String method)`
`void` | `setName(java.lang.String name)`
`void` | `setNamespace(java.lang.String namespace)`
`void` | `setParams(java.util.Map<java.lang.String,java.lang.Object> params)`
`void` | `setResult(Result result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionMapping

    public ActionMapping()

  Constructs an ActionMapping

### ActionMapping

    public ActionMapping(Result result)

  Constructs an ActionMapping with a default result

  Parameters:
    `result` - The default result

### ActionMapping

    public ActionMapping(java.lang.String name,
                         java.lang.String namespace,
                         java.lang.String method,
                         java.util.Map<java.lang.String,java.lang.Object> params)

  Constructs an ActionMapping with its values

  Parameters:
    `name` - The action name
    `namespace` - The action namespace
    `method` - The method
    `params` - The extra parameters

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    The action name

### getNamespace

    public java.lang.String getNamespace()

  Returns:
    The action namespace

### getParams

    public java.util.Map<java.lang.String,java.lang.Object> getParams()

  Returns:
    The extra parameters

### getMethod

    public java.lang.String getMethod()

  Returns:
    The method

### getResult

    public Result getResult()

  Returns:
    The default result

### getExtension

    public java.lang.String getExtension()

  Returns:
    The extension used during this request

### setResult

    public void setResult(Result result)

  Parameters:
    `result` - The result

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The action name

### setNamespace

    public void setNamespace(java.lang.String namespace)

  Parameters:
    `namespace` - The action namespace

### setMethod

    public void setMethod(java.lang.String method)

  Parameters:
    `method` - The method name to call on the action

### setParams

    public void setParams(java.util.Map<java.lang.String,java.lang.Object> params)

  Parameters:
    `params` - The extra parameters for this mapping

### setExtension

    public void setExtension(java.lang.String extension)

  Parameters:
    `extension` - The extension used in the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.